#
# spec file for package sensors (Version 3.0.3)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           sensors
BuildRequires:  bison flex rrdtool-devel
Url:            http://www.lm-sensors.org/
Version:        3.0.3
Release:        3.5
Summary:        Hardware health monitoring for Linux
License:        GPL v2 or later
Group:          System/Monitoring
Requires:       modules
AutoReqProv:    on
Source0:        lm_sensors-%{version}.tar.bz2
Patch:          lm_sensors-3.0.2.dif
Patch1:         lm_sensors-3.0.0-sensord-separate.dif
Patch2:         lm_sensors-3.0.0-sysconfig_metadata.patch
Patch3:         lm_sensors-r5352-fix-detection-of-ADT7463-and-LM96000.patch
Patch4:         lm_sensors-3.0.3-hint-at-kernel-extra-package.patch
Patch5:         lm_sensors-r5366-fix-detection-of-Intel-AMB.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x

%description
This package includes programs that show data from some sensor chips. 
The interface /proc/bus/i2c/ is provided by loading kernel modules.
Which modules to load can be interactively detected as root by calling
/usr/sbin/sensors-detect. Warning, before using the sensors the default
configuration in /etc/sensors.conf has to be checked and changed to fit
the actual set up of the mainboard and the BIOS used on that specific
mainboard!



Authors:
--------
    Simon G. Vogl      <simon@tk.uni-linz.ac.at>
    Mark D. Studebaker <mds@eng.paradyne.com>
    Philip Edelbrock   <phil@netroedge.com>
    Kysti Mlkki      <kmalkki@cc.hut.fi>
    Fons Rademakers    <Fons.Rademakers@cern.ch>
    Frodo Looijaard    <frodol@dds.nl>
    Geert Uytterhoeven <geert@linux-m68k.org>

%package -n sensord
License:        GPL v2 or later
Summary:        Hardware health monitoring daemon
Group:          System/Monitoring
Provides:       sensors:/usr/sbin/sensord
AutoReqProv:    on

%description -n sensord
sensord is a daemon that can be used to periodically log sensor
readings from hardware health-monitoring chips to the system logs or a
round-robin database (RRD) and to alert when a sensor alarm is
signalled; for example, if a fan fails, a temperature limit is
exceeded, etc.



Authors:
--------
    Merlin Hughes <merlin@merlin.org>

%package -n libsensors4
License:        GPL v2 or later
Summary:        Hardware health monitoring library
Group:          System/Libraries
AutoReqProv:    on

%description -n libsensors4
libsensors offers a way for applications to access the hardware
monitoring chips of the system. A system-dependent configuration file
controls how the different inputs are labeled and what scaling factors
have to be applied for the specific hardware, so that the output makes
sense to the user.



Authors:
--------
    Mark D. Studebaker <mds@eng.paradyne.com>
    Philip Edelbrock   <phil@netroedge.com>
    Kysti Mlkki      <kmalkki@cc.hut.fi>
    Frodo Looijaard    <frodol@dds.nl>
    Jean Delvare       <khali@linux-fr.org>
    Mark M. Hoffman    <mhoffman@lightlink.com>

%package -n libsensors4-devel
License:        GPL v2 or later
Summary:        Hardware health monitoring library
Group:          Development/Libraries/C and C++
Requires:       libsensors4 = %{version}
Provides:       sensors:/usr/include/sensors/sensors.h
AutoReqProv:    on
Conflicts:      libsensors3-devel

%description -n libsensors4-devel
libsensors offers a way for applications to access the hardware
monitoring chips of the system. A system-dependent configuration file
controls how the different inputs are labeled and what scaling factors
have to be applied for the specific hardware, so that the output makes
sense to the user.



Authors:
--------
    Mark D. Studebaker <mds@eng.paradyne.com>
    Philip Edelbrock   <phil@netroedge.com>
    Kysti Mlkki      <kmalkki@cc.hut.fi>
    Frodo Looijaard    <frodol@dds.nl>
    Jean Delvare       <khali@linux-fr.org>
    Mark M. Hoffman    <mhoffman@lightlink.com>

%prep
%setup -q -n lm_sensors-%{version} 
%patch
%patch1
%patch2
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
    make PROG_EXTRA:=sensord PREFIX=%{_prefix} MANDIR=%{_mandir} LIBDIR=%{_libdir} user

%install
    make PROG_EXTRA:=sensord PREFIX=%{_prefix} MANDIR=%{_mandir} LIBDIR=%{_libdir} DESTDIR=$RPM_BUILD_ROOT install
    cd doc/
	mkdir -p			$RPM_BUILD_ROOT/%{_docdir}/sensors
	cp -a donations			$RPM_BUILD_ROOT/%{_docdir}/sensors/
	cp -a fan-divisors		$RPM_BUILD_ROOT/%{_docdir}/sensors/
	cp -a fancontrol.txt		$RPM_BUILD_ROOT/%{_docdir}/sensors/
	cp -a temperature-sensors	$RPM_BUILD_ROOT/%{_docdir}/sensors/
	cp -a vid			$RPM_BUILD_ROOT/%{_docdir}/sensors/
	cp -a progs			$RPM_BUILD_ROOT/%{_docdir}/sensors/
	chmod -R u+rwX,g+rX,o+rX	$RPM_BUILD_ROOT/%{_docdir}/sensors/
    cd ../
    chmod 0755 $RPM_BUILD_ROOT/%{_libdir}/libsensors.so.*
    mkdir -p $RPM_BUILD_ROOT/etc/init.d
    install -m 0755 prog/init/lm_sensors.init.suse	$RPM_BUILD_ROOT/etc/init.d/lm_sensors
    ln -sf /etc/init.d/lm_sensors			$RPM_BUILD_ROOT/usr/sbin/rclm_sensors
# cleanup
rm -f $RPM_BUILD_ROOT/usr/src/linux/include/sensors.h

%clean
rm -rf $RPM_BUILD_ROOT

%postun
%{insserv_cleanup}

%post -n libsensors4 -p /sbin/ldconfig

%postun -n libsensors4 -p /sbin/ldconfig

%files
%defattr(-,root,root)
/etc/init.d/lm_sensors
/usr/sbin/rclm_sensors
/usr/bin/*
/usr/sbin/fancontrol
%ifarch i386 i486 i586 i686 x86_64
/usr/sbin/isadump
/usr/sbin/isaset
%endif
/usr/sbin/pwmconfig
/usr/sbin/sensors-detect
%doc %{_docdir}/sensors/
%doc /usr/share/man/man1/*.1.gz
%doc /usr/share/man/man8/fancontrol.8.gz
%ifarch i386 i486 i586 i686 x86_64
%doc /usr/share/man/man8/isadump.8.gz
%doc /usr/share/man/man8/isaset.8.gz
%endif
%doc /usr/share/man/man8/pwmconfig.8.gz
%doc /usr/share/man/man8/sensors-detect.8.gz

%files -n sensord
%defattr(-,root,root)
/usr/sbin/sensord
%doc /usr/share/man/man8/sensord.8.gz

%files -n libsensors4
%defattr(-,root,root)
%config(noreplace) /etc/sensors3.conf
%{_libdir}/libsensors.so.4*
%doc /usr/share/man/man5/*.5.gz

%files -n libsensors4-devel
%defattr(-,root,root)
/usr/include/sensors/
%{_libdir}/libsensors.a
%{_libdir}/libsensors.so
%doc /usr/share/man/man3/*.3.gz

%changelog
* Wed Oct 22 2008 jdelvare@suse.de
- lm_sensors-r5366-fix-detection-of-Intel-AMB.patch: Fix detection
  of Intel 5000 series FB-DIMM AMB.
* Tue Oct 14 2008 jdelvare@suse.de
- lm_sensors-r5352-fix-detection-of-ADT7463-and-LM96000.patch: Fix
  detection of ADT7463 and LM96000.
- lm_sensors-3.0.3-hint-at-kernel-extra-package.patch: Now that the
  kernel package is split into 3 parts, it is possible that not all
  required hwmon drivers are installed on the system when
  sensors-detect is being run. Point the user to the kernel-*-extra
  package if drivers are found to be missing. (bnc#431555)
* Sun Sep 28 2008 jdelvare@suse.de
- Update to lm_sensors 3.0.3
  * Many improvements to pwmconfig
  * sensors-detect knows of a dozen additional devices and was made
    more reliable for another half dozen
* Sun May 18 2008 jdelvare@suse.de
- Update to lm_sensors 3.0.2
  * Support for virtual hardware monitoring devices
  * Support for power and energy sensors
  * Safer sensors-detect
  * FAQ is gone
* Mon May 12 2008 jdelvare@suse.de
- lm_sensors-r5235-dont-probe-I2C-addr-40-47.patch: Don't probe I2C
  addresses 0x40-0x47.
- lm_sensors-r5245-skip-1-reg-only-I2C-devs.patch: Detect and skip
  1-register-only I2C devices.
* Sun May 11 2008 coolo@suse.de
- fix rename of xxbit packages
* Tue Apr 29 2008 cthiel@suse.de
- fix baselibs.conf
- obsolete sensors-<arch> via baselibs.conf
* Wed Apr 16 2008 jdelvare@suse.de
- lm_sensors-r5169-parse-config-in-C-locale.patch: Parse the
  configuration file in C locale.
- lm_sensors-r5175-compute-statements-override.patch: Late compute
  statements should override early ones.
- lm_sensors-ignore-missing-device-link.patch: Don't choke on
  hwmon devices with no device link. The new thermal zone code that
  went into kernel 2.6.25-rc5-git4 creates one such hwmon device.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Thu Mar 13 2008 werner@suse.de
- Remove hard coded loading of i2c-dev or better i2c-core as it
  should happen due auto dependcies (bnc#369798)
* Mon Feb  4 2008 jdelvare@suse.de
- Update to lm_sensors 3.0.1
  * Library no longer depends on libsysfs
  * Library initialization is much faster
  * Better service integration in sensors-detect
* Sat Jan 19 2008 jdelvare@suse.de
- Pass PREFIX and MANDIR on the command line from the spec file
  rather than patching the Makefile. This is easier to maintain.
* Tue Dec 18 2007 jdelvare@suse.de
- Fix voltage references in sensors.conf. Fixed upstream in:
  http://www.lm-sensors.org/changeset/5076
* Tue Dec 11 2007 jdelvare@suse.de
- Fix rrd support in sensord. Fixed upstream in:
  http://www.lm-sensors.org/changeset/5069
* Fri Nov 30 2007 jdelvare@suse.de
- Remove obsolete Requires tags. Since version 3.0.0, it is no
  longer mandatory to provide a configuration file to libsensors.
* Thu Nov 29 2007 jdelvare@suse.de
- Add missing Conflicts tag.
* Tue Nov 27 2007 jdelvare@suse.de
- Add a link to the init script.
* Mon Nov 26 2007 jdelvare@suse.de
- Update to lm_sensors version 3.0.0
  * Completely rewritten library, much smaller
  * Supports all devices supported by the kernel (contains no
    device-specific code)
  * libsensors has a new SONAME (libsensors.so.4)
  * fancontrol.pl is gone
* Thu Nov 22 2007 jdelvare@suse.de
- Drop local changes to sensors-detect that are no longer relevant.
- Drop local changes to sensord.init: we no longer package it.
* Wed Nov 21 2007 jdelvare@suse.de
- Add missing Requires to libsensors3-devel. This is a cosmetic
  change only, as the requirement was already drawn indirectly.
* Mon Nov  5 2007 jdelvare@suse.de
- Add split provides to subpackages libsensors3-devel and sensord
  so that an update will work as designed.
* Fri Nov  2 2007 jdelvare@suse.de
- Fix two rpmlint warnings. One of them was about a missing
  dependency between libsensors3-devel and libsensors3, which was
  breaking the build of other packages.
* Fri Nov  2 2007 jdelvare@suse.de
- Package libsensors separately. I've named the package
  "libsensors3" because it is going to fade out quickly in favor
  of the new, incompatible version from lm-sensors 3.
- Don't remove the build root before installing. rpmlint was
  compaining about that.
* Thu Nov  1 2007 jdelvare@suse.de
- Fix packaging breakage introduced by the following change:
  ppc and ia64 packages do not include isadump nor isaset.
* Wed Oct 31 2007 jdelvare@suse.de
- Package sensord separately.
- Don't include redundant or outdated initalization scripts in
  the documentation tree.
* Sun Oct 28 2007 jdelvare@suse.de
- Update to lm_sensors version 2.10.5
  * Support for the SMSC SCH3112, SCH3114, SCH3116
  * libsensors fixes for the thmc50, bmcsensors, lm93, adm1026
    drivers
  * sensord support for the w83793 and lm87 drivers
  * sensors fixes for the dme1737, thmc50 and adm1021 drivers
  * Detect new Winbond chips
- useful_addresses.html is no longer part of the package.
- lm_sensors-dont-probe-i2c-isa.dif: Drop, bug fixed upstream.
* Mon Oct 15 2007 jdelvare@suse.de
- Do not include i2c tools, they have their own package now.
* Mon Sep  3 2007 jdelvare@suse.de
- Run ldconfig in %%post and %%postun. rpmlint was complaining
  that this was missing.
* Tue Aug 28 2007 werner@suse.de
- Remove hard coded modules introduced by last change
* Tue Aug 14 2007 hvogel@suse.de
- Add sysconfig metadata [#300069]
* Mon Aug 13 2007 jdelvare@suse.de
- Don't probe i2c-isa as a regular i2c bus. This regression was
  introduced in lm_sensors 2.10.4. Fixed upstream in:
  http://www.lm-sensors.org/changeset/4649
* Wed Aug  1 2007 werner@suse.de
- Update to lm_sensors version 2.10.4
  * added support for recent devices and cips like
    dme1737, applesmc, abituguru3, f71882fg, w83627ehf (kernel 2.4)
    support for the w83627ehf VID function
    support for the w83627ehf thermal sensor types
    support for it87 fan4 and fan5
  * support block reads with specified length of I2C devices
  * A lot of fixes and enhancements
  * Add both patches form us for fancontrol and pwmconfig
* Wed Jun 27 2007 jdelvare@suse.de
- Don't package the decode-edid.pl script. It requires parse-edid
  from the read-edid package, which isn't included in Suse.
* Thu Jun 21 2007 dmueller@suse.de
- adjust buildrequires
* Mon Jun  4 2007 jdelvare@suse.de
- Don't build on s390 nor s390x.
* Mon May 28 2007 jdelvare@suse.de
- Fix two rpmlint errors: /etc/init.d/lm_sensors shouldn't be
  marked as a config file, and was missing a Short-Description
  tag.
* Wed May  9 2007 jdelvare@suse.de
- lm_sensors-no-xeon-script.patch: The decode-xeon.pl script is
  outdated. It was never ported to work with 2.6 kernels, so it is
  of no use on recent Suse distributions. Stop shipping it.
- Drop a legacy patch to sensors/main.c related to the
  configuration file name, which is no longer needed.
* Fri May  4 2007 jdelvare@suse.de
- Don't package outdated driver documentation. The up-to-date
  driver documentation is in the kernel-source package.
  (bug #271302)
- Two minor cleanups to the spec file.
* Thu Apr 12 2007 jdelvare@suse.de
- lm_sensors-2.8.3-nodump.patch: Removed, should no longer be
  needed. Since lm_sensors 2.8.6, isadump is only compiled on i386
  and x86_64.
- Likewise, no need to patch prog/dump/isadump.c for powerpc,
  as it won't be compiled for these architectures anyway.
* Thu Apr  5 2007 werner@suse.de
- Update to lm_sensors version 2.10.3 which added support for
  recent devices and support for kernel 2.6.22.
* Thu Mar 29 2007 ro@suse.de
- added bison,flex to buildreq
* Mon Feb 19 2007 werner@suse.de
- Make README.SuSE encoding independend (bug #246130)
* Tue Jan 30 2007 werner@suse.de
- Update to lm_sensors version 2.10.2 which added support for
  recent devices.
* Mon Nov 13 2006 werner@suse.de
- Update to lm_sensors version 2.10.1 which also includes the
  fix for bug #192092 by not overwriting chip settings
- Remove notify warn message from pdb about overwriting settings
* Mon Jun 26 2006 werner@suse.de
- Load i2c-dev kernel module instead of i2c-sensor (bug #188126)
* Tue Feb 28 2006 werner@suse.de
- Update to version 2.10.0 for better udev support (bug #151931)
- Add i2c-0 to static device list for udev (bug #151931)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 werner@suse.de
- Include fan control in lm_sensors service script (bug #141958)
* Tue Dec 13 2005 werner@suse.de
- Do not to handle module variables from package Modules (#137963)
* Thu Nov 10 2005 werner@suse.de
- Add postun section to run insserv_clean (bug #132934)
* Fri Oct 14 2005 werner@suse.de
- Update to lm_sensors version 2.9.2
* Thu Aug 25 2005 werner@suse.de
- Security fix in pwmconfig (bug #112925)
* Wed May 11 2005 schwab@suse.de
- Add freetype2 and libart_lgpl to nfb, needed by rrdtool.
* Mon May  9 2005 werner@suse.de
- Update to lm_sensors-2.9.1
- Use insserv to enable rc script (bug #76174)
* Thu Feb 17 2005 werner@suse.de
- Update to lm_sensors-2.9.0 (bug #50681)
* Mon Aug 30 2004 werner@suse.de
- Update to newest lm_sensors-2.8.7 to be compatible to the current
  kernel version.
* Tue May  4 2004 werner@suse.de
- Fix bug #35502 (missing w83627hf entries) by updating to
  lm_sensors-2.8.6 which includes a better parser for sysfs
* Tue Apr 13 2004 ro@suse.de
- remove kernel-source from neededforbuild
  (not needed any longer)
* Wed Mar 10 2004 werner@suse.de
- Add workaround for missing w83627hf chip driver (bug #35501)
* Tue Mar  9 2004 werner@suse.de
- A few changes for kernel 2.6 (bug #35500)
* Fri Mar  5 2004 pth@suse.de
- Remove no-strict-aliasing and fix the code instead. Patch
  was also sent to upstream maintainers for inclusion.
* Fri Mar  5 2004 ro@suse.de
- added libpng to neededforbuild (for rrdtool)
- use no-strict-aliasing
* Wed Jan 28 2004 ro@suse.de
- update to 2.8.3
- use buildroot and build as user
* Fri Sep 12 2003 ro@suse.de
- configure kernel-source if needed
* Mon Jul 21 2003 werner@suse.de
- Update to lm_sensors 2.8.0
* Thu Jun  5 2003 ro@suse.de
- compile using headers from kernel-source not glibc
* Wed Mar 19 2003 olh@suse.de
- add lm_sensors-2.7.0-nodump.patch to fix dependency tree
* Thu Feb 27 2003 werner@suse.de
- Fix location of sensors program in boot script
* Tue Feb 11 2003 werner@suse.de
- Update due to kernel interface update (anything else is a bug)
* Mon Dec  2 2002 werner@suse.de
- Update to lm_sensors 2.4.6
* Wed Nov  6 2002 werner@suse.de
- Fix bug # 21583: sensors shouldn't segfault on missing argument.
* Wed Sep  4 2002 werner@suse.de
- Fix boot scripts to be usable (bug #18868)
- Install some progs which are described in FAQ
* Wed Aug 28 2002 fehr@suse.de
- updated to current version 2.6.4 of lm_sensors
* Thu Aug  1 2002 werner@suse.de
- Use _libdir macro for 64bit architectures
* Wed Jul 31 2002 werner@suse.de
- Install sensord daemon for logging (bug #17316)
* Tue Jun 18 2002 ke@suse.de
- Fix typo in README.SuSE [# 14790].
* Mon Aug  6 2001 uli@suse.de
- fixed to build on PPC
* Wed Jul  4 2001 werner@suse.de
- update to 2.6.0
* Mon Apr 16 2001 werner@suse.de
- update to 2.5.5
* Thu Apr  5 2001 uli@suse.de
- removed lx_suse from neededforbuild
* Thu Dec 14 2000 werner@suse.de
- Group tag
* Mon Jun 19 2000 ro@suse.de
- update to 2.5.0
* Wed Jun  7 2000 uli@suse.de
- moved docs to %%{_docdir}
* Fri Feb 11 2000 ro@suse.de
- removed requires kernmod (package eliminated)
* Wed Feb  2 2000 werner@suse.de
- No asm/io.h if sys/io.h is included
* Wed Feb  2 2000 werner@suse.de
- No sys/perm.h or sys/io.h on ppc and sparc
* Tue Feb  1 2000 werner@suse.de
- New package sensors (version 2.4.3 corresponds with
  current used kernel i2c patch)
  - Prefix is /usr, mandir is /usr/share/man, and kernel
  includes i2c
  - Be reentrant
  - Use RPM_OPT_FLAGS
  - Install docs of busses, chips and the FAQ
